Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QItemSelectionModel.SelectionFlag

    java.lang.Object
      java.lang.Enum<QItemSelectionModel.SelectionFlag>
          com.trolltech.qt.gui.QItemSelectionModel.SelectionFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QItemSelectionModel.SelectionFlag>

Enclosing class:
  QItemSelectionModel

    public static enum QItemSelectionModel.SelectionFlag

extends java.lang.Enum<QItemSelectionModel.SelectionFlag>
implements QtEnumerator

This enum describes the way the selection model will be updated.

Enum Constant Summary
`Clear` The complete selection will be cleared.
`ClearAndSelect` A combination of Clear and Select, provided for convenience.
`Columns` All indexes will be expanded to span columns.
`Current` The current selection will be updated.
`Deselect` All specified indexes will be deselected.
`NoUpdate` No selection will be made.
`Rows` All indexes will be expanded to span rows.
`Select` All specified indexes will be selected.
`SelectCurrent` A combination of Select and Current, provided for convenience.
`Toggle` All specified indexes will be selected or deselected depending on their current state.
`ToggleCurrent` A combination of Toggle and Current, provided for convenience.

Method Summary
`static QItemSelectionModel.SelectionFlags` | `createQFlags(QItemSelectionModel.SelectionFlag... values)`
`static QItemSelectionModel.SelectionFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QItemSelectionModel.SelectionFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QItemSelectionModel.SelectionFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoUpdate

    public static final QItemSelectionModel.SelectionFlag NoUpdate

  No selection will be made.

### Clear

    public static final QItemSelectionModel.SelectionFlag Clear

  The complete selection will be cleared.

### Select

    public static final QItemSelectionModel.SelectionFlag Select

  All specified indexes will be selected.

### Deselect

    public static final QItemSelectionModel.SelectionFlag Deselect

  All specified indexes will be deselected.

### Toggle

    public static final QItemSelectionModel.SelectionFlag Toggle

  All specified indexes will be selected or deselected depending on their current state.

### Current

    public static final QItemSelectionModel.SelectionFlag Current

  The current selection will be updated.

### Rows

    public static final QItemSelectionModel.SelectionFlag Rows

  All indexes will be expanded to span rows.

### Columns

    public static final QItemSelectionModel.SelectionFlag Columns

  All indexes will be expanded to span columns.

### SelectCurrent

    public static final QItemSelectionModel.SelectionFlag SelectCurrent

  A combination of Select and Current, provided for convenience.

### ToggleCurrent

    public static final QItemSelectionModel.SelectionFlag ToggleCurrent

  A combination of Toggle and Current, provided for convenience.

### ClearAndSelect

    public static final QItemSelectionModel.SelectionFlag ClearAndSelect

  A combination of Clear and Select, provided for convenience.

Method Detail

### values

    public static final QItemSelectionModel.SelectionFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QItemSelectionModel.SelectionFlag c : QItemSelectionModel.SelectionFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QItemSelectionModel.SelectionFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QItemSelectionModel.SelectionFlags createQFlags(QItemSelectionModel.SelectionFlag... values)

### resolve

    public static QItemSelectionModel.SelectionFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD